using System.ComponentModel;
using Hotline.Exams.Base;
using Hotline.Share.Enums.Exams;
using SqlSugar;

namespace Hotline.Exams.TestPapers
{
    /// <summary>
    /// 试卷
    /// </summary>
    [Description("试卷")]
    public class ExamTestPaper : ExamBusinessEntity
    {
        /// <summary>
        /// 试卷标题
        /// </summary>
        [SugarColumn(ColumnDescription = "试卷标题")]
        [Description("试卷标题")]
        public string Name { get; set; }

        /// <summary>
        /// 试卷编号
        /// </summary>
        [SugarColumn(ColumnDescription = "试卷编号")]
        [Description("试卷编号")]
        public string Code { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [SugarColumn(ColumnDescription = "考试类型")]
        [Description("考试类型")]
        public EExamType ExamType { get; set; }

        /// <summary>
        /// 组卷方式
        /// </summary>
        [SugarColumn(ColumnDescription = "组卷方式")]
        [Description("组卷方式")]
        public EExamMode Mode { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription ="备注")]
        [Description("备注")]
        public string Remark { get; set; }

        /// <summary>
        /// 是否自动生成
        /// </summary>
        [SugarColumn(ColumnDescription = "是否自动生成")]
        [Description("是否自动生成")]
        public bool IsAuto { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamTestPaperItem.TestPaperId))]
        public List<ExamTestPaperItem> TestPaperItems { get; set; }

        //[Navigate(NavigateType.OneToMany,nameof(TestPaperRule.TestPaperId))]
        //public List<TestPaperRule> TestPaperRules { get; set; }
    }
}
